package top.r3944realms.lib39.platform;

import top.r3944realms.lib39.core.event.FabricCommonEventHandler;
import top.r3944realms.lib39.core.sync.SyncData2Manager;
import top.r3944realms.lib39.platform.services.IUtilHelper;
import top.r3944realms.lib39.util.FabricBlockRegistryBuilder;
import top.r3944realms.lib39.util.block.BlockRegistryBuilder;

/**
 * The enum Fabric util helper.
 */
public enum FabricUtilHelper implements IUtilHelper {
    /**
     * Instance fabric util helper.
     */
    INSTANCE;
    @Override
    public BlockRegistryBuilder getBlockRegistryBuilder() {
        return new FabricBlockRegistryBuilder();
    }

    @Override
    public SyncData2Manager<?> getSyncData2Manager() {
        return FabricCommonEventHandler.getSyncData2Manager();
    }
}
